Subject: Re: [OPSAWG] draft-ersue-opsawg-management-fw-02 -> IPPM question

From: Al Morton <[email-masked]>
Date: Tue, 30 Nov 2010 21:10:55 -0500

Hi Benoit,

I think it would be reasonable to say

" ... and reliability of Internet packet transfer
services."

As we know, data delivery is not assured in IP.

I saw some other places where I could make some wording suggestions,

if I may:

in section 3.10.1:

These metrics
are designed for network operator use and provide
unbiased quantitative measures of performance.

suggest:

... for use by network operators and their customers, and provide
...

in section 3.10.1 again:

IETF IP
Performance Metrics have been introduced widely in the
industry and adopted by different SDOs such as ITU-T.

The ITU-T is not a good example here, they developed
their own

metrics based one previous experience with X.25, Frame Relay, and
ATM

networks, using their own performance model. There continue to be some
differences in the IPPM and ITU-T metrics for IP performance.

suggest:

... and adopted by different SDOs such as the Metro Ethernet
Forum.

and

Following are
examples of essential IPPM documents published as
Proposed Standard:

A widely deployed IPPM RFC was omitted; there's a hell
of a lot of

Performance Measurement with Periodic Streams out there, RFC 3432.

in section 4.4:

IPPM working
group has furthermore defined
[
BCP108] "IP Performance
Metrics (IPPM) Metrics Registry", which defines a
registry for IP
Performance Metrics
[RFC4148].  The
IANA-assigned registry contains
an initial set of OBJECT IDENTITIES to currently defined
metrics in
the IETF as well as defines the rules for adding IP
Performance
Metrics that are defined in the future.

There is agreement that this registry is not used,
and

there will hopefully be agreement in the near future to

withdraw the current registry and start from scratch with another

registry scheme, or use another solution to the problem such as the

information model you mentioned during the meeting in Beijing.

In any case, I think it would be best if RFC 4148 was omitted

in this memo.

hope this helps,

Al

At 07:34 PM 11/30/2010, Benoit Claise wrote:

Hi Henk, Matt, Al,

In

http://tools.ietf.org/html/draft-ersue-opsawg-management-fw-02#section-3.10.1
, I see

The IPPM working group has defined metrics for
accurately measuring
and reporting the quality, performance, and reliability of
Internet
data delivery services.  The metrics include
connectivity, one-way
delay and loss, round-trip delay and loss, delay variation,
loss
patterns, packet reordering, bulk transport capacity, and
link
bandwidth capacity.

I'm wondering if service is the right word.
As you probably know, there are many discussions around:
what's a
service?
what's an
application?
what's a
protocol?

I would prefer to use "service classes" instead of
"services". However, I defer to you guys.
Note: the IPPM charter speaks of "service classes"

Regards, Benoit.

---

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Sat, 4 Dec 2010 01:04:11 +0100

Hi Al, 

thank you for the valuable comments and text proposals.

I didn't know that MEF adopted IPPM. Which RFCs or IPPM mechanisms 

did they exactly adopt?

Cheers, 
Mehmet

From: ext Al Morton [mailto:[email-masked]] 
Sent: Wednesday, December 01, 2010 3:11 AM
To: Benoit Claise
Cc: Ersue, Mehmet (NSN - DE/Munich); [email-masked]; Henk Uijterwaal;
Matthew J Zekauskas
Subject: Re: draft-ersue-opsawg-management-fw-02 -> IPPM question

Hi Benoit,

I think it would be reasonable to say 
" ... and reliability of Internet packet transfer services."
As we know, data delivery is not assured in IP.

in section 3.10.1:

   These metrics

suggest:
... for use by network operators and their customers, and provide ...

in section 3.10.1 again:

   IETF IP

The ITU-T is not a good example here, they developed their own 
metrics based one previous experience with X.25, Frame Relay, and ATM
networks, using their own performance model. There continue to be some
differences in the IPPM and ITU-T metrics for IP performance.  
suggest:
... and adopted by different SDOs such as the Metro Ethernet Forum.

and

   Following are

A widely deployed IPPM RFC was omitted; there's a hell of a lot of
Performance Measurement with Periodic Streams out there, RFC 3432. 

in section 4.4:

   IPPM working
group has furthermore defined
[
<http://tools.ietf.org/html/draft-ersue-opsawg-management-fw-02#ref-BCP1
08> 
BCP108
<http://tools.ietf.org/html/draft-ersue-opsawg-management-fw-02#ref-BCP1
08> ] "IP Performance
   Metrics (IPPM) Metrics Registry", which defines a
registry for IP
   Performance Metrics
[RFC4148 <http://tools.ietf.org/html/rfc4148> ].  The
IANA-assigned registry contains
   an initial set of OBJECT IDENTITIES to currently defined
metrics in
   the IETF as well as defines the rules for adding IP
Performance
   Metrics that are defined in the future.

There is agreement that this registry is not used, and

hope this helps,
Al

Hi Henk, Matt, Al,

In
http://tools.ietf.org/html/draft-ersue-opsawg-management-fw-02#section-3
.10.1 , I see

 
 
Regards, Benoit.

---

From: Al Morton <[email-masked]>
Date: Sat, 04 Dec 2010 09:35:46 -0500

I wouldn't say anything is exactly equal, but delay variation

is very close.

MEF 10.2 includes a reference to RFC 3393 (and RFC 2119 for
terminology).

For the most part, Frame Delay, Frame Delay Range (FDR), and

Inter-Frame Delay Variation (IFDV) are equivalent to IPPM's metrics

(where FDR => PDV in RFC 5481, and IFDV => IPDV in RFC 5481

http://tools.ietf.org/html/rfc5481 ).

One key difference is the lack of a waiting time threshold in the

MEF definitions - the explicit threshold we use to distinguish
between

a lost packet and a packet with very long delay in IPPM.

Another key difference is that MEF 10.2 definitions are written to

evaluate the service traffic, while IPPM uses dedicated test
streams.

hope this helps,

Al

At 07:04 PM 12/3/2010, Ersue, Mehmet (NSN - DE/Munich) wrote:

Hi Al,

I didn’t know that MEF adopted IPPM. Which RFCs or IPPM mechanisms

did they exactly adopt?

Cheers,

Mehmet

From: ext Al Morton
[
mailto:[email-masked]]

To: Benoit Claise

Cc: Ersue, Mehmet (NSN - DE/Munich); [email-masked]; Henk
Uijterwaal; Matthew J Zekauskas

Subject: Re: draft-ersue-opsawg-management-fw-02 -> IPPM
question

Hi Benoit,

if I may:

in section 3.10.1:

These metrics

unbiased quantitative measures of
performance.

suggest:

in section 3.10.1 again:

IETF IP

Performance Metrics have been introduced widely in
the

industry and adopted by different SDOs such as
ITU-T.

suggest:

and

Following are

Proposed Standard:

in section 4.4:

IPPM working

[

BCP108] "IP Performance

Metrics (IPPM) Metrics Registry", which defines
a

registry for IP

Performance Metrics

[RFC4148].
The

an initial set of OBJECT IDENTITIES to currently
defined

metrics in

the IETF as well as defines the rules for adding
IP

Performance

in this memo.

hope this helps,

Al

Hi Henk, Matt, Al,

In

The IPPM working group has defined metrics
for

accurately measuring

and reporting the quality, performance, and reliability
of

Internet

data delivery services.  The metrics
include

connectivity, one-way

delay and loss, round-trip delay and loss, delay
variation,

loss

patterns, packet reordering, bulk transport capacity,
and

link

bandwidth capacity.

As you probably know, there are many discussions
around:

what's a

service?

what's an

application?

what's a

protocol?

I would prefer to use "service classes" instead
of

Note: the IPPM charter speaks of "service
classes"

Regards, Benoit.

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Mon, 6 Dec 2010 15:35:49 +0100

Sorry to jump in that late in the discussion. Is it necessary to use the
'service' word at all? Can't we just say - 
 
 The IPPM working group has defined metrics for accurately measuring
   and reporting the quality, performance, and reliability of Internet
   data delivery. 
 
Dan
(speaking as contributor)

________________________________

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of Benoit Claise
	Sent: Wednesday, December 01, 2010 2:34 AM
	To: Al Morton
	Cc: [email-masked]
	Subject: [OPSAWG] draft-ersue-opsawg-management-fw-02 -> IPPM
question

	Hi Henk, Matt, Al,
	
	In
.10.1, I see
	
	   The IPPM working group has defined metrics for accurately
measuring
	   and reporting the quality, performance, and reliability of
Internet
	   data delivery services.  The metrics include connectivity,
one-way
	   delay and loss, round-trip delay and loss, delay variation,
loss
	   patterns, packet reordering, bulk transport capacity, and
link
	   bandwidth capacity.
	
		what's a service?
		what's an application?
		what's a protocol?
	
	I would prefer to use "service classes" instead of "services".
However, I defer to you guys. 
	Note: the IPPM charter speaks of "service classes"
	
	Regards, Benoit.

---

From: Henk Uijterwaal <[email-masked]>
Date: Mon, 06 Dec 2010 15:51:17 +0100

>    and reporting the quality, performance, and reliability of Internet

Sorry that I missed this, but I agree with Dan,

Henk

>     --------------------------------------------------------------------------------
>     *From:* [email-masked] [mailto:[email-masked]] *On Behalf
>     Of *Benoit Claise
>     *Sent:* Wednesday, December 01, 2010 2:34 AM
>     *To:* Al Morton
>     *Cc:* [email-masked]
>     *Subject:* [OPSAWG] draft-ersue-opsawg-management-fw-02 -> IPPM question
> 
>     Hi Henk, Matt, Al,
> 
>     In
>     http://tools.ietf.org/html/draft-ersue-opsawg-management-fw-02#section-3.10.1,
>     I see
> 
>        data delivery _services_.  The metrics include connectivity, one-way
>        delay and loss, round-trip delay and loss, delay variation, loss
>        patterns, packet reordering, bulk transport capacity, and link
>        bandwidth capacity.
> 
>     I would prefer to use "service classes" instead of "services". However, I defer to you guys. 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg

-- 
------------------------------------------------------------------------------
Henk Uijterwaal                           Email: henk.uijterwaal(at)ripe.net
RIPE Network Coordination Centre          http://www.xs4all.nl/~henku
P.O.Box 10096          Singel 258         Phone: +31.20.5354414
1001 EB Amsterdam      1016 AB Amsterdam  Fax: +31.20.5354445
The Netherlands        The Netherlands    Mobile: +31.6.55861746
------------------------------------------------------------------------------

I confirm today what I denied yesterday.            Anonymous Politician.

---

From: Benoit Claise <[email-masked]>
Date: Mon, 06 Dec 2010 15:04:51 -0800

Thanks a lot Al, as always.

See inline.
> As we know, data delivery is not assured in IP.
Actually, I have a problem with the term "services"
So I like Dan's proposal:
    The IPPM working group has defined metrics for accurately measuring
    and reporting the quality, performance, and reliability of Internet
    data delivery.

Regards, Benoit.
>> BCP108  <http://tools.ietf.org/html/draft-ersue-opsawg-management-fw-02#ref-BCP108>] "IP Performance
>> [RFC4148  <http://tools.ietf.org/html/rfc4148>].  The